module MediServ::API
  module Format
    def fmt_date(d)
      d ? d.strftime('%d.%m.%Y') : ''
    end

    def fmt_time(t)
      t ? t.strftime('%H:%M') : ''
    end

    def fmt_amount(n)
      n ? sprintf('%0.2f', n) : '0.00'
    end

    def fmt_string(s, max: nil)
      max ? s[0..max] : s
    end
  end
end
